"
 COPYRIGHT (c) 1997 by eXept Software AG / Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"



'From Smalltalk/X, Version:4.1.4 on 11-dec-2001 at 02:22:13 pm'                 !

Object subclass:#OSErrorHolder
	instanceVariableNames:'errorSymbol errorCategory errorMessage'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Support'
!

!OSErrorHolder class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1997 by eXept Software AG / Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


!

documentation
"
    ST-80 compatibility class.
    This may be required when existing code has to be ported to ST/X;
    however, it may not be complete and more protocol may be added in the future.
    The code here was created when public domain code (Manchester) had to
    be ported to ST/X and missing classes/methods were encountered, and code added
    by reasoning 'what the original class could probably do there'.

    This is an additional goody class; therefore:

    THIS SOFTWARE IS PROVIDED BY THE CONTRIBUTOR ``AS IS'' AND
    ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
    IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
    ARE DISCLAIMED.  IN NO EVENT SHALL THE CONTRIBUTOR BE LIABLE
    FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
    DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
    OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
    HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
    LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
    OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
    SUCH DAMAGE.
"


! !

!OSErrorHolder class methodsFor:'accessing'!

errorSignal
    ^ OperatingSystem errorSignal

    "Created: 25.1.1997 / 18:07:55 / cg"
!

invalidArgumentsSignal
    ^ OperatingSystem invalidArgumentsSignal

    "Created: 13.9.1997 / 10:48:21 / cg"
!

peerFaultSignal
    ^ OperatingSystem errorSignal

    "Created: 25.1.1997 / 18:07:55 / cg"
! !

!OSErrorHolder methodsFor:'accessing'!

errorSymbol:sym errorCategory:typ errorMessage:text
    errorSymbol := sym.
    errorCategory := typ.
    errorMessage := text
! !

!OSErrorHolder class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/OSErrorHolder.st,v 1.1 2001-12-11 14:22:09 cg Exp $'
! !
